org.vishia.commander

## Class FcmdStatus

- java.lang.Object
- - org.vishia.commander.FcmdStatus

-     public class FcmdStatus
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) GralUserAction` | `actionButton` Action for OK.
    `(package private) GralUserAction` | `actionOpenDialog` Action for Key F2 for view command.
    `protected Fcmd` | `main`
    `static int` | `version` Version, history and license 2012-10-27 Hartmut created Copyright/Copyleft: For this source the LGPL Lesser General Public License, published by the Free Software Foundation is valid.
    `(package private) GralButton` | `widgCopy`
    `(package private) GralButton` | `widgEsc`
    `(package private) GralWindow_ifc` | `windStatus`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FcmdStatus(Fcmd main)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `buildWindow()` Builds the content of the file property window.
    `(package private) void` | `openDialog()` Opens the view window and fills its content.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### version

          public static final int version

      Version, history and license
      - 2012-10-27 Hartmut created
      Copyright/Copyleft: For this source the LGPL Lesser General Public License, published by the Free Software Foundation is valid. It means:
      1. You can use this source without any restriction for any desired purpose.
      2. You can redistribute copies of this source to everybody.
      3. Every user of this source, also the user of redistribute copies with or without payment, must accept this license for further using.
      4. But the LPGL ist not appropriate for a whole software product, if this source is only a part of them. It means, the user must publish this part of source, but don't need to publish the whole source of the own product.
      5. You can study and modify (improve) this source for own using or for redistribution, but you have to license the modified sources likewise under this LGPL Lesser General Public License. You mustn't delete this Copyright/Copyleft inscription in this source file.
      If you are intent to use this sources without publishing its usage, you can get a second license subscribing a special contract with the author.
      See Also:
        Constant Field Values

    - #### main

          protected final Fcmd main

    - #### windStatus

          GralWindow_ifc windStatus

    - #### widgCopy

          GralButton widgCopy

    - #### widgEsc

          GralButton widgEsc

    - #### actionButton

          GralUserAction actionButton

      Action for OK.

    - #### actionOpenDialog

          GralUserAction actionOpenDialog

      Action for Key F2 for view command.

  - ### Constructor Detail

    - #### FcmdStatus

          public FcmdStatus(Fcmd main)

  - ### Method Detail

    - #### buildWindow

          void buildWindow()

      Builds the content of the file property window. The window is created static. It is shown whenever it is used.

    - #### openDialog

          void openDialog()

      Opens the view window and fills its content.
      Parameters:
        `src` - The path which is selected as source. It may be a directory or a file.